Function
getTerminalSize
Retrieve size of terminal.
getTerminalSize(cols, rows)
Include Headers
seqan/misc/misc_terminal.h
Parameters

cols | The column count is written here. Types: unsigned
rows | The line count is written here. Types: unsigned

Remarks
On Windows, rows contains the number of rows in the terminal *buffer*, not the window.
Return Values
true on success, false otherwise.
Types: bool
Examples
The following demonstrates the usage.
#include <seqan/misc/misc_terminal.h>
unsigned rows = 0, cols = 0;
bool success = getTerminalSize(cols, rows);
std::cerr << "rows == " << rows << ", cols == " << cols
<< ", success == " << success << "\n";
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58